import { jsx } from "react/jsx-runtime";
import { XCircle as XCircle$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const XCircle = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "XCircle", ...props, children: /* @__PURE__ */ jsx(XCircle$1, { weight: variant }) });
  }
);
XCircle.displayName = "XCircle";
Object.assign(XCircle, { isGdsIcon: true });
export {
  XCircle
};
